Browse Source

Add Travis CI config

Ayush Sharma 4 years ago
parent
commit
e1ea30331d
3 changed files with 25 additions and 1 deletions
  1. 18 0
      .travis.yml
  2. 6 0
      build_platformio.sh
  3. 1 1
      library.properties

+ 18 - 0
.travis.yml

@@ -0,0 +1,18 @@
+# Enable validating this file
+version: ~> 1.0
+
+language: python
+python:
+    - "2.7"
+sudo: false
+cache:
+    directories:
+        - "~/.platformio"
+
+jobs:
+  include:
+    - install:
+      - pip install -U platformio
+      - platformio update
+      script: ./build_platformio.sh
+

+ 6 - 0
build_platformio.sh

@@ -0,0 +1,6 @@
+#!/bin/bash
+
+set -euo pipefail
+
+pio ci --lib=. --board esp12e "examples/ESP8266_Demo"
+pio ci --lib=. --board esp32dev "examples/ESP32_Demo"

+ 1 - 1
library.properties

@@ -4,6 +4,6 @@ author=Ayush Sharma
 category=Communication
 maintainer=Ayush Sharma <asrocks5@gmail.com>
 sentence=Perform OTAs for ESP8266 & ESP32 Elegantly!
-paragraph=A User Interface Library which provides interactive elements for your Over the Air Updates on ESP8266 or ESP32. UI has a size of only 50Kb!
+paragraph=A user interface library which provides interactive elements for your over-the-air updates on ESP8266 or ESP32
 url=https://github.com/ayushsharma82/ElegantOTA
 architectures=esp8266,esp32